Subject: I: Hexbus.com updated

From: Jon Guidry <[email-masked]>
Date: Sat, 8 May 2010 11:28:49 -0500

I've updated my TI-99 website, hexbus.com.  

The changes I made - 

* The Links/downloads are on their own page.  I've tried including everyone I could think of, making this a 'one stop shop' for links.  If you want to be on there and aren't, let me know, and I'll add you :)
* The SSGC contest entries are on the downloads page, with PC99 and V9T9 disk images.
* There are some initial pictures of my new CC-40+ unit.  Still waiting on it to come in. :)
* The initial landing page was somewhat re-worked to make it less busy.

Enjoy!

Jon